$!-----------------------------------------------------------------------------
$! BUILD_FETCH.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$! P2 == UCX or NETLIB
$!
$! 30-MAY-98  MGD  initial re-development
$!-----------------------------------------------------------------------------
$!
$ APPLICATION = "FETCH"
$!
$ IF P2 .NES. "NETLIB" .AND. P2 .NES. "TCPWARE" THEN P2 = "UCX"
$ VARIETY = P2
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""''APPLICATION'""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture" +-
                   " and ""''VARIETY'"" TCP/IP"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(IP_''VARIETY'," + -
            "_VMS_V6_SOURCE=1,__VMS_VER=60000000,__CRTL_VER=60000000)"
$!
$ LINK_OPTIONS = F$SEARCH("''APPLICATION'_''ARCH_NAME'_''VARIETY'.OPT")
$ IF LINK_OPTIONS .NES. "" -
     THEN LINK_OPTIONS = "," + F$ELEMENT(0,";",LINK_OPTIONS) + "/OPTIONS"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /NOOPT /STAND=VAXC 'DEFINES'"
$ ELSE
$    CC_OPTIONS = "/DECC /NOOPT /STAND=VAXC 'DEFINES'"
$ ENDIF
$!
$ IF VARIETY .EQS. "UCX"
$    THEN VARIETY = ""
$    ELSE VARIETY = "_" + VARIETY
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR''APPLICATION''VARIETY' 'APPLICATION' 
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE=HT_EXE:'APPLICATION''VARIETY'.EXE -
     'OBJECT_DIR''APPLICATION''VARIETY''LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:'APPLICATION''VARIETY'.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
